routes/web.php
<?php

use App\Http\Controllers\LoginController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\RegistrationController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function() {
   return redirect()->route('profiles.index');
});
Route::resource('profiles', ProfileController::class);

Route::controller(LoginController::class)->group(function () {
    Route::get('/login','form')->name('login');
    Route::post('/login','authenticate')->name('login.authenticate');
    Route::get('/logout', 'logout')->name('logout');
});

Route::controller(RegistrationController::class)->group(function() {
    Route::get('/registration', 'form')->name('registration.form');
    Route::post('/registration', 'register')->name('registration.register');
});

app/Models/Profile.php
<?php

namespace App\Models;

use App\Scopes\OrderByUpdatedAt;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Profile extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'user_id',
        'fullname',
        'birthday',
        'age',
        'city',
        'education',
        'specialization',
        'skills',
    ];

    /**
     * The "booted" method of the model.
     *
     * @return void
     */
    protected static function booted()
    {
        static::addGlobalScope(new OrderByUpdatedAt);
    }
}

app/Http/Controllers/ProfileController.php
<?php

namespace App\Http\Controllers;

use App\Models\Profile;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

/**
 * Class ProfileController
 */
class ProfileController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth')->only(['create', 'store', 'edit', 'update']);
    }

    /**
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
        $profiles = Profile::query()->paginate(10);

        return view('profiles.index', compact('profiles'));
    }

    /**
     * @param Request $request
     * @param Profile $profile
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function show(Request $request, Profile $profile)
    {
        return view('profiles.show', compact('profile'));
    }

    /**
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        return view('profiles.create');
    }

    /**
     * @param Request $request
     *
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(Request $request)
    {
        $validated = $request->validate([
            'fullname' => ['required'],
            'birthday' => ['required'],
            'age' => ['required'],
            'city' => ['required'],
            'education' => ['required'],
            'specialization' => ['required'],
            'skills' => ['required'],
        ]);

        $profile = Profile::create(
            array_merge($validated, ['user_id' => Auth::id()])
        );
        $request->session()->flash('result', 'Анкета успешно создана');

        return redirect()->route('profiles.show', ['profile' => $profile->id]);
    }

    /**
     * @param Request $request
     * @param Profile $profile
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function edit(Request $request, Profile $profile)
    {
        if (!$request->user() || $request->user()->cannot('update', $profile)) {
            abort(403);
        }

        return view('profiles.create', compact('profile'));
    }

    /**
     * @param Request $request
     * @param Profile $profile
     *
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(Request $request, Profile $profile)
    {
        if (!$request->user() || $request->user()->cannot('update', $profile)) {
            abort(403);
        }

        $validated = $request->validate([
            'fullname' => ['required'],
            'birthday' => ['required'],
            'age' => ['required'],
            'city' => ['required'],
            'education' => ['required'],
            'specialization' => ['required'],
            'skills' => ['required'],
        ]);

        $profile->update($validated);
        $request->session()->flash('result', 'Анкета успешно обновлена');

        return redirect()->route('profiles.show', ['profile' => $profile->id]);
    }

    /**
     * @param Request $request
     * @param Profile $profile
     *
     * @return \Illuminate\Http\RedirectResponse
     */
    public function destroy(Request $request, Profile $profile)
    {
        if (!$request->user() || $request->user()->cannot('delete', $profile)) {
            abort(403);
        }

        $profile->delete();
        $request->session()->flash('result', 'Анкета успешно удалена');

        return redirect()->route('profiles.index');
    }
}

resources/views/profiles/create.blade.php
@extends('layout.html')

@section('content')
    @include('layout.navbar')
    @php($profile = $profile ?? null)

    <h1 class="text-center">{{$profile ? 'Редактировать анкету' : 'Создать анкету'}}</h1>

    <form action="{{ $profile ? route('profiles.update', ['profile' => $profile->id]) : route('profiles.store') }}"
          method="post" class="my-5 mx-auto" style="max-width: 800px;">
        @if($profile)
            @method('PUT')
        @endif
        @csrf
        <div class="mb-3">
            <input type="text" id="fullname" name="fullname" class="form-control" required
                   value="{{ old('fullname') ?? $profile ? $profile->fullname : '' }}">
            <label for="fullname" class="small fw-lighter ms-2">ФИО</label>
        </div>
        <div class="mb-3">
            <input type="text" id="birthday" name="birthday" class="form-control" required
                   onfocus="(this.type='date')" onblur="(this.type='text')"
                   value="{{ old('birthday') ?? $profile ? $profile->birthday : '' }}">
            <label for="birthday" class="small fw-lighter ms-2">Дата рождения</label>
        </div>
        <div class="mb-3">
            <input type="number" id="age" name="age" class="form-control" required
                   value="{{ old('age') ?? $profile ? $profile->age : '' }}">
            <label for="age" class="small fw-lighter ms-2">Возраст</label>
        </div>
        <div class="mb-3">
            <input type="text" id="city" name="city" class="form-control" required
                   value="{{ old('city') ?? $profile ? $profile->city : '' }}">
            <label for="city" class="small fw-lighter ms-2">Город</label>
        </div>
        <div class="mb-3">
            <textarea name="education" id="education" cols="30" rows="5" class="form-control" required
            >{{ old('education') ?? $profile ? $profile->education : '' }}</textarea>
            <label for="education" class="small fw-lighter ms-2">Образование</label>
        </div>
        <div class="mb-3">
            <input type="text" id="specialization" name="specialization" class="form-control" required
                   value="{{ old('specialization') ?? $profile ? $profile->specialization : '' }}">
            <label for="specialization" class="small fw-lighter ms-2">Специализация</label>
        </div>
        <div class="mb-3">
            <textarea name="skills" id="skills" cols="30" rows="5" class="form-control" required
            >{{ old('skills') ?? $profile ? $profile->skills : '' }}</textarea>
            <label for="skills" class="small fw-lighter ms-2">Профессиональные навыки</label>
        </div>
        <div class="d-grid">
            <button type="submit" class="btn btn-primary">Сохранить</button>
        </div>
    </form>
@endsection

resources/views/profiles/index.blade.php
@extends('layout.html')

@section('content')
    @include('layout.navbar')
    @if(session('result'))
        <div class="alert alert-success" role="alert">{{ session('result') }}</div>
    @endif
    <h3 class="text-center mb-4">Все анкеты</h3>
    @foreach($profiles as $profile)
        <a href="{{ route('profiles.show', ['profile' => $profile->id]) }}" class="card shadow-sm mb-4"
           style="text-decoration: unset; color: unset">
            <div class="card-header">{{ $profile->specialization }}</div>
            <div class="card-body">
                <h5 class="card-title">{{ $profile->fullname }}</h5>
                <p>{{ $profile->education }}</p>
                <p class="small text-end m-0">{{ $profile->updated_at->format('Y-m-d') }}</p>
            </div>
        </a>
    @endforeach
    {{ $profiles->links() }}
@endsection

resources/views/profiles/show.blade.php
@extends('layout.html')

@section('content')
    @include('layout.navbar')
    @if(session('result'))
        <div class="alert alert-success" role="alert">{{ session('result') }}</div>
    @endif
    <div class="p-3">
        <h1 class="display-5 mb-4 ps-4">{{ $profile->fullname }}</h1>
        <div>
            <p class="fw-bolder">Специализация</p>
            <p class="fw-light">{{ $profile->specialization }}</p>
        </div>
        <div>
            <p class="fw-bolder">Навыки</p>
            <p class="fw-light">{{ $profile->skills }}</p>
        </div>
        <div>
            <p class="fw-bolder">Образование</p>
            <p class="fw-light">{{ $profile->education }}</p>
        </div>
        <div>
            <p class="fw-bolder">Город</p>
            <p class="fw-light">{{ $profile->city }}</p>
        </div>
        <div>
            <p class="fw-bolder">Возраст</p>
            <p class="fw-light">{{ $profile->age }}</p>
        </div>
        <div>
            <p class="fw-bolder">Дата рождения</p>
            <p class="fw-light">{{ $profile->birthday }}</p>
        </div>
    </div>
    @if(\Illuminate\Support\Facades\Auth::id() == $profile->user_id)
        <a href="{{ route('profiles.edit', ['profile' => $profile->id]) }}" class="me-4">Редактировать</a>
        <form action="{{ route('profiles.destroy', ['profile' => $profile->id]) }}" method="post" class="d-inline">
            @csrf
            @method('delete')
            <button class="btn btn-link">Удалить</button>
        </form>
    @endif
@endsection